<?php

require_once('../vendor/autoload.php');

use NCSU\Auth\AuthService;
use NCSU\Auth\Http\Request;
use NCSU\Auth\Adapter\LdapAuthAdapter;

$request = Request::createFromGlobals();

if ($request->getMethod() === 'POST') {
    $ldapAuthAdapter = new LdapAuthAdapter($request->request['username'], $request->request['password']);
    $service = new AuthService($ldapAuthAdapter);

    $result = $service->authenticate();

    if ($result->isValid()) {
        echo sprintf("Your authentication request as %s was successful!", $result->getIdentity());
    } else {
        echo "Failed to authenticate!";
    }
}

?>
<html>
<body>
    <form method="post">
        <!-- Username field -->
        <label>Username:</label>
        <input type="text" name="username" />

        <!-- Password field -->
        <label>Password:</label>
        <input type="password" name="password" />

        <!-- Submit -->
        <input type="submit" />
    </form>
</body>
</html>
